# Get user group

`GET https://api.airtable.com/v0/meta/groups/{groupId}`

Returns basic information relevant to the user group.

## Requirements

- **Authentication:** [Personal access token](https://airtable.com/developers/web/api/authentication.md#types-of-token), [OAuth integration](https://airtable.com/developers/web/api/authentication.md#types-of-token)
- **Scope:** [`enterprise.groups:read`](https://airtable.com/developers/web/api/scopes.md#enterprise-groups-read)
- **User role:** Enterprise member
- **Billing plans:** Enterprise (pre-2023.08 legacy plan), Enterprise Scale

## Path parameters

- `groupId: string`

## Query parameters

- `include: array<"collaborations">` — optional

  If specified, collaborations key will be included in the response object.
  Otherwise it will be left out. You must be a group member or enterprise admin to view this information.

## Response format

- `id: string` — required

  A user group ID

- `createdTime: string` — required

  A date timestamp in the ISO format, eg:"2018-01-01T00:00:00.000Z"

- `enterpriseAccountId: string` — required

  The id of the enterprise account that the group is associated with.

- `updatedTime: string` — required

  A date timestamp in the ISO format, eg:"2018-01-01T00:00:00.000Z"

- `collaborations: Collaborations` — optional

  The group's direct collaborations on workspaces, bases and interfaces.

- `mappedUserLicenseType: "editor" | "contributor" | "builder" | "viewer" | "viewerRestricted" | "portalEditor" | "none"` — optional

  The license type mapped to this group, if any.

- `name: string` — required

- `members: array<object>` — required

  Group members' information.

  - `createdTime: string` — required

    A date timestamp in the ISO format, eg:"2018-01-01T00:00:00.000Z"

  - `userId: string` — required

    A user ID

  - `email: string` — required

  - `firstName: string | null` — required

  - `lastName: string | null` — required

  - `role: "manager" | "member"` — required

### Example — Success Response

```sh
curl "https://api.airtable.com/v0/meta/groups/{groupId}" \
-H "Authorization: Bearer YOUR_TOKEN"
```

```json
{
  "collaborations": {
    "baseCollaborations": [
      {
        "baseId": "appLkNDICXNqxSDhG",
        "createdTime": "2021-06-02T07:37:50.000Z",
        "grantedByUserId": "usrogvSbotRtzdtZW",
        "permissionLevel": "create"
      }
    ],
    "interfaceCollaborations": [
      {
        "baseId": "appLkNDICXNqxSDhG",
        "createdTime": "2019-01-03T12:33:12.421Z",
        "grantedByUserId": "usrqccqnMB2eHylqB",
        "interfaceId": "pbdyGA3PsOziEHPDE",
        "permissionLevel": "edit"
      }
    ],
    "workspaceCollaborations": [
      {
        "createdTime": "2021-06-02T07:37:48.000Z",
        "grantedByUserId": "usrqccqnMB2eHylqB",
        "permissionLevel": "edit",
        "workspaceId": "wspmhESAta6clCCwF"
      }
    ]
  },
  "createdTime": "2021-06-02T07:37:19.000Z",
  "enterpriseAccountId": "entUBq2RGdihxl3vU",
  "id": "ugp1mKGb3KXUyQfOZ",
  "mappedUserLicenseType": "editor",
  "members": [
    {
      "createdTime": "2021-06-02T07:37:19.000Z",
      "email": "foo@bar.com",
      "firstName": "Jane",
      "lastName": "Doe",
      "role": "member",
      "userId": "usrL2PNC5o3H4lBEi"
    },
    {
      "createdTime": "2021-06-02T07:37:19.000Z",
      "email": "foo@bam.com",
      "firstName": "Alex",
      "lastName": "Hay",
      "role": "manager",
      "userId": "usrsOEchC9xuwRgKk"
    },
    {
      "createdTime": "2021-06-02T07:37:19.000Z",
      "email": "bam@bam.com",
      "firstName": "John",
      "lastName": "Dane",
      "role": "member",
      "userId": "usrGcrteE5fUMqq0R"
    }
  ],
  "name": "Group name",
  "updatedTime": "2022-09-02T10:10:35:000Z"
}
```
